Bug 169513 - Review Request: obby - A library which provides synced document buffers
Review Request: obby - A library which provides synced document buffers
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Reber
David Lawrence
http://releases.0x539.de/obby
:
Depends On: 169512
Blocks: FE-ACCEPT 169514
  Show dependency treegraph
 
Reported: 2005-09-29 02:53 EDT by Luke Macken
Modified: 2016-09-19 22:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-06 13:21:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2005-09-29 02:53:57 EDT
Spec Name or Url: http://people.redhat.com/lmacken/obby.spec
SRPM Name or Url: http://people.redhat.com/lmacken/obby-0.2.0-1.src.rpm
Description:
libobby is a library which provides synced document buffers. It supports
multiple documents in one session and is portable to both Windows and
Unix-like platforms.
Comment 1 Luke Macken 2005-09-29 21:52:10 EDT
Added gmp-devel to BuildRequires.
Comment 2 Adrian Reber 2005-09-30 01:58:23 EDT
After a quick glance at the spec file I can see the same issues as with net6:

-devel requires at least pkgconfig

use the %find_lang macro
Comment 4 Adrian Reber 2005-10-05 03:14:21 EDT
-devel subpackage needs to require: net6-devel as the include files from
obby-devel include net6 headers files.

The BuildRequires libsigc++20-devel is not necessary as this is already required
by net6-devel.

The rest looks good.
Comment 6 Luke Macken 2005-10-05 03:50:51 EDT
Fixed srpm: http://people.redhat.com/lmacken/gobby-0.2.2-3.src.rpm
Comment 7 Adrian Reber 2005-10-05 07:52:38 EDT
Forgot one more thing: the -devel subpackage also requires gmp-devel as it can
be seen it buffer.hpp and rsa.hpp

By the way: SRPM gives a 404 and the spec file is the SRPM.
Comment 8 Luke Macken 2005-10-05 11:42:47 EDT
updated.. links should be good now.

http://people.redhat.com/lmacken/gobby.spec
http://people.redhat.com/lmacken/gobby-0.2.2-3.src.rpm
Comment 9 Rex Dieter 2005-10-05 12:10:59 EDT
Per Adrian's comment #2, I'd suggest adding to %install:
%find_lang %{name}
and to %files:
%files -f %{name}.lang

instead of hard-coding
%{_datadir}/locale/*/LC_MESSAGES/gobby.mo
Comment 10 Rex Dieter 2005-10-05 12:39:37 EDT
Updating bugzilla summary to match package name/summary.
Comment 11 Rex Dieter 2005-10-05 12:45:17 EDT
OK, it appears there are 2 packages for Review here (so I got confused):
* obby: library
* gobby: editor, which BuildRequires: obby-devel

For reviewers' sanity, I'd suggest submitting each in its own bugzilla entry.

Comment 12 Luke Macken 2005-10-05 14:01:34 EDT
(In reply to comment #11)
> OK, it appears there are 2 packages for Review here (so I got confused):
> * obby: library
> * gobby: editor, which BuildRequires: obby-devel
> 
> For reviewers' sanity, I'd suggest submitting each in its own bugzilla entry.

Obby: This bug
Gobby: Bug #169514

I'm to blame for this confusion seeing as I pasted links to gobby spec/srpm
starting in comment #5; all of the review in this bug is for the obby library.
Comment 13 Luke Macken 2005-10-05 14:05:22 EDT
Latest spec/srpm:

http://people.redhat.com/lmacken/obby-0.2.0-3.src.rpm
http://people.redhat.com/lmacken/obby.spec

Sorry for the confusion guys.
Comment 14 Adrian Reber 2005-10-06 02:18:27 EDT
* builds in mock
* rpmlint is happy
* correct usage of -devel
* spec looks good
* clean installation and removal
* use of find_lang macro
* correct Requires and BuildRequires
* scriptlets look sane

APPROVED
Comment 15 Luke Macken 2005-10-06 13:21:03 EDT
* Imported into cvs
* Added to owners.list
* Requested FC3/FC4 branches
* Build sucessfully in devel branch

Thanks!
Comment 16 Adrian Reber 2005-10-07 04:18:19 EDT
You could add --with-howl to configure and the BR howl-devel to the spec for
FC-4 and greater.
Comment 17 Luke Macken 2005-10-07 12:37:54 EDT
Built howl support into the devel branch.  Will add it to FC4 shortly after.

Note You need to log in before you can comment on or make changes to this bug.